Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class HomesUserDatabase

    java.lang.Object
      |
      +--org.apache.catalina.startup.HomesUserDatabase

All Implemented Interfaces:
  UserDatabase

public final class HomesUserDatabase
extends java.lang.Object
implements UserDatabase

Concrete implementation of the UserDatabase interface considers all directories in a directory whose pathname is specified to our constructor to be "home" directories for those users.

Version:
  $Revision: 1.2 $ $Date: 2001/07/22 20:25:13 $
Author:
  Craig R. McClanahan

Constructor Summary
`HomesUserDatabase()` Initialize a new instance of this user database component.

Method Summary
`java.lang.String` | `getHome(java.lang.String user)` Return an absolute pathname to the home directory for the specified user.
`UserConfig` | `getUserConfig()` Return the UserConfig listener with which we are associated.
`java.util.Enumeration` | `getUsers()` Return an enumeration of the usernames defined on this server.
`void` | `setUserConfig(UserConfig userConfig)` Set the UserConfig listener with which we are associated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HomesUserDatabase

    public HomesUserDatabase()

  Initialize a new instance of this user database component.

Method Detail

### getUserConfig

    public UserConfig getUserConfig()

  Return the UserConfig listener with which we are associated.
  Specified by:
    `getUserConfig` in interface `UserDatabase`

### setUserConfig

    public void setUserConfig(UserConfig userConfig)

  Set the UserConfig listener with which we are associated.
  Specified by:
    `setUserConfig` in interface `UserDatabase`
  Parameters:
    `userConfig` - The new UserConfig listener

### getHome

    public java.lang.String getHome(java.lang.String user)

  Return an absolute pathname to the home directory for the specified user.
  Specified by:
    `getHome` in interface `UserDatabase`
  Parameters:
    `user` - User for which a home directory should be retrieved

### getUsers

    public java.util.Enumeration getUsers()

  Return an enumeration of the usernames defined on this server.
  Specified by:
    `getUsers` in interface `UserDatabase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.